# Interface IFacetRequestValue

## Index

### Properties

- children
- end
- endInclusive
- label
- preventAutoSelect
- retrieveChildren
- retrieveCount
- start
- state
- value

## Properties

### Optional children

children: IFacetRequestValue[]

- Defined in rest/Facet/FacetRequest.ts :66

### Optional end

end: RangeType

Inherited from IRangeValue.end

- Defined in rest/RangeValue.ts :28

### Optional endInclusive

endInclusive: boolean

Inherited from IRangeValue.endInclusive

- Defined in rest/RangeValue.ts :42

### Optional label

label: string

Inherited from IRangeValue.label

- Defined in rest/RangeValue.ts :37

### Optional preventAutoSelect

preventAutoSelect: boolean

- Defined in rest/Facet/FacetRequest.ts :48

### Optional retrieveChildren

retrieveChildren: boolean

- Defined in rest/Facet/FacetRequest.ts :54

### Optional retrieveCount

retrieveCount: number

- Defined in rest/Facet/FacetRequest.ts :60

### Optional start

start: RangeType

Inherited from IRangeValue.start

- Defined in rest/RangeValue.ts :19

### state

state: FacetValueState

- Defined in rest/Facet/FacetRequest.ts :38

### Optional value

value: string

- Defined in rest/Facet/FacetRequest.ts :42

### Hierarchy

- IRangeValue